/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#include "dummy_operation.h"

#include <QDebug>

DummyOperation::DummyOperation(QString current_panel_path, QStringList all_selected_names, QString other_panel_path)
	: source_path(current_panel_path),
	  source_names(all_selected_names),
	  destination_path(other_panel_path)
{
}

FileSystemOperation::OperationResult DummyOperation::show_operation_GUI_modal(){
	qDebug() << "GUI asks to perform dummy operation on source " << source_path
	         << "with source names " << source_names
	         << "and destination " << destination_path;

	return accepted;
}

void DummyOperation::perform_file_operation(){
	qDebug() << "Performing dummy operation and showing an error message if it does not succeed";
}

