/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#ifndef FILES_LISTER_H
#define FILES_LISTER_H

#include <QString>
#include <QTableView>

class QFileSystemModel;
class QModelIndex;
class QSortFilterProxyModel;

class FilesLister : public QTableView{
	Q_OBJECT
public:
	FilesLister(const QString& initial_path, QWidget* parent = 0);
	QString get_path() const;
protected slots:
	void open_selected(const QModelIndex& index_in_proxy);
//inherited:
protected:
	virtual void keyPressEvent(QKeyEvent* event);
private:
	QString path;
	QFileSystemModel* dir_model;
	QSortFilterProxyModel* filtered_dir_model;
};

#endif

