/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#include "dummy_operation.h"
#include "filesystem_operation.h"
#include "settings.h"

FileSystemOperation* FileSystemOperation::create_instance(int op_idx, QString current_panel_path, QStringList all_selected_names, QString other_panel_path){
	switch(op_idx){
	case FN_PROPERTIES_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	case FN_EDIT_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	case FN_COPY_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	case FN_MOVE_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	case FN_MKDIR_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	case FN_DELETE_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	case FN_RENAME_BUTTON_IDX:
		return new DummyOperation(current_panel_path, all_selected_names, other_panel_path);
	}

	Q_ASSERT(false);
	return 0;
}

