/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#ifndef FILESYSTEM_OPERATION_H
#define FILESYSTEM_OPERATION_H

#include <QString>
#include <QStringList>

class FileSystemOperation{
public:
	enum OperationResult { accepted, rejected };
public:
	virtual OperationResult show_operation_GUI_modal() = 0;
	virtual void perform_file_operation() = 0;
	static FileSystemOperation* create_instance(int op_idx, QString current_panel_path, QStringList all_selected_names, QString other_panel_path);
};

#endif

