/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include "settings.h"

#include <QMainWindow>

class FilesLister;
class QAction;
class QMenu;
class QPushButton;

class MainWindow : public QMainWindow{
	Q_OBJECT
public:
	MainWindow();
private slots:
	void dispatch_file_operation(int op_idx) const;
private:
	void create_actions();
	void create_menus();
	void create_fn_buttons();
	void connect_fn_buttons();

	FilesLister* get_focused_lister() const;
	FilesLister* get_other_lister(FilesLister* lister) const;
private:
	FilesLister* left_lister;
	FilesLister* right_lister;

	QAction* about_qt_action;

	QMenu* help_menu;

	QPushButton* fn_buttons[NR_FN_BUTTONS];
};

#endif

